import { type Context, type IQueryEngine, type RDF, RDFJSON } from "../rdf.js";
declare type QueryResponseFormat = {
    "application/sparql-results+json": RDFJSON.SparqlResultsJsonFormat;
    "application/rdf+json": RDFJSON.RdfJsonFormat;
};
export declare class QueryEngine implements IQueryEngine {
    protected getSparqlEndpoint(context?: Context): string;
    protected getFetch(context?: Context): typeof fetch;
    query<ResponseType extends keyof QueryResponseFormat, ResponseFormat = QueryResponseFormat[ResponseType]>(query: string, responseType: ResponseType, context?: Context): Promise<ResponseFormat>;
    queryBindings(query: string, context?: Context): Promise<RDF.ResultStream<RDF.Bindings>>;
    queryBoolean(query: string, context?: Context): Promise<boolean>;
    queryQuads(query: string, context?: Context): Promise<RDF.ResultStream<RDF.Quad>>;
    queryVoid(query: string, context?: Context): Promise<void>;
}
export {};
