import type { SupportedDataTypes } from "./data_types.js";
declare type PropertyType = keyof SupportedDataTypes;
export declare type PropertyPrototype = {
    "@id": string;
    "@type"?: PropertyType;
    "@context"?: SchemaPrototype;
    "@optional"?: true;
    "@array"?: true;
    "@multilang"?: true;
};
export declare type SchemaPrototypeProperties = {
    [key: string]: PropertyPrototype | string | readonly string[];
};
export declare type SchemaPrototypeType = {
    "@type": string | readonly string[];
};
export declare type SchemaPrototype = SchemaPrototypeProperties & SchemaPrototypeType;
export declare type Property = {
    "@id": string;
    "@type"?: PropertyType;
    "@context"?: Schema;
    "@optional"?: true;
    "@array"?: true;
    "@multilang"?: true;
};
export declare type Schema = {
    [key: string]: Property | string[];
    "@type": string[];
};
export {};
